%define module_name	compcache
%define module_release	alt1.132630.11
%define module_version	0.1

%define kversion	2.6.22
%define krelease	alt11
%define flavour		led-tc

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/%module_name

Summary:	Linux %{module_name} kernel modules
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

ExclusiveOS:	Linux
URL:		http://code.google.com/p/compcache/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

%description
Compressing swap pages and keeping them in RAM provides more memory
space for applications. This is especially useful for swapless embedded
devices. Also, flash storage typically used in embedded devices suffer
from wear-leveling issues - so, its very useful if we can avoid them
using as swap device.


%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version


%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make -C %_usrsrc/linux-%kversion-%flavour M=$(pwd) V=1 modules


%install
install -d -m 0755 %buildroot%module_dir
install -m 0644 *.ko sub-projects/*/*/*.ko %buildroot%module_dir/


%post
%post_kernel_modules %kversion-%flavour-%krelease


%postun
%postun_kernel_modules %kversion-%flavour-%krelease


%files
%doc README
%dir %module_dir
%module_dir/*.ko


%changelog
* Thu Feb 28 2008 Led <led@altlinux.ru> 0.1-alt1.132630.11
- build for led-tc-2.6.22-alt11

* Thu Feb 28 2008 Led <led@altlinux.ru> 0.1-alt1.132625.12
- initial build
